Bug 1033966 - Quick Display Configuration Plasma widget fails to load
Summary: Quick Display Configuration Plasma widget fails to load
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kscreen
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-24 20:21 UTC by Julian Weißgerber
Modified: 2015-11-02 01:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:25:16 UTC


Attachments (Terms of Use)
screenshot of the error message (20.17 KB, image/jpeg)
2013-11-24 20:21 UTC, Julian Weißgerber
no flags Details

Description Julian Weißgerber 2013-11-24 20:21:18 UTC
Created attachment 828429 [details]
screenshot of the error message

Description of problem:
When I try to add the Quick Display Configuration plasma widget to my desktop or panel I only get a box with an error message in its place:

	"This object could not be created for the following reason:

	Could not open the org.kde.plasma.kscreen package required
	for the Quick Display Configuration widget."

Display configuration in KDE's systemsettings works just fine.
Also there are 2 entries in the widget list for this widget (neither works).
Affects both my desktop (with proprietary NVIDIA driver) and a VirtualBox VM (Vesa driver) running Fedora 20 Beta.

Version-Release number of selected component (if applicable):
$ rpm -qa \*kscreen\*
libkscreen-1.0.2-1.fc20.x86_64
kscreen-1.0.2-1.fc20.x86_64

How reproducible:
Add quick display configuration widget to KDE desktop.

Steps to Reproduce:
1. Right-click desktop, add widget.
2. Drag quick display configuration widget to desktop.

Actual results:
Widget fails to load.

Expected results:
Widget will load.

Additional info:

Comment 1 Daniel Vrátil 2013-11-25 13:34:48 UTC
Confirmed, 1.0.2.1 with a fix will be available soon

Comment 2 Fedora Update System 2013-11-25 14:57:31 UTC
kscreen-1.0.2.1-1.fc18, libkscreen-1.0.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-21898/libkscreen-1.0.2-1.fc18,kscreen-1.0.2.1-1.fc18

Comment 3 Fedora Update System 2013-11-25 14:57:40 UTC
kscreen-1.0.2.1-1.fc19, libkscreen-1.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-21863/libkscreen-1.0.2-1.fc19,kscreen-1.0.2.1-1.fc19

Comment 4 Fedora Update System 2013-11-25 14:57:59 UTC
kscreen-1.0.2.1-1.fc20, libkscreen-1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-21917/libkscreen-1.0.2-1.fc20,kscreen-1.0.2.1-1.fc20

Comment 5 Julian Weißgerber 2013-11-26 11:58:05 UTC
Works for me after update, thanks!

Comment 6 Fedora Update System 2013-12-03 10:29:46 UTC
kscreen-1.0.2.1-1.fc19, libkscreen-1.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-12-07 06:56:24 UTC
kscreen-1.0.2.1-1.fc18, libkscreen-1.0.2-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-12-14 03:29:35 UTC
kscreen-1.0.2.1-1.fc20, libkscreen-1.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora End Of Life 2015-05-29 09:50:44 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2015-06-30 01:25:16 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.